local demo_4 = {}

local nerv = require 'nerv'

local nerv_table

function demo_4.load()
  nerv_table = {}
  for i = 1, math.floor(Stage.w/4+1) do
	nerv_table[ #nerv_table+1 ] = nerv():setPotentials(3,_,_,true)
  end
end

function demo_4.update(dt)
  love.window.setTitle( love.timer.getFPS() )

  local x,y = love.mouse.getPosition()
  for i = 1, #nerv_table do
	nerv_table[i]:update(dt)
  
    nerv_table[i]:send(3)
	local distance = math.sqrt( (x-(i-1)*4)^2 + (y-Stage.h/2)^2 )
	local _inv = 1/distance
	local magnitude = _inv * 500
	nerv_table[i]:inhibit(magnitude)
  end
end

function demo_4.draw()
  for i = 1, #nerv_table do
    love.graphics.circle( 'fill', (i-1)*4, Stage.h/2 - nerv_table[i]:getPotential()*Stage.h/16, 2 )
  end
  love.graphics.print( 'inhibitory effect', 0,0 )
end

function demo_4.keypressed(key)

end

return demo_4




