Demo_1 = require 'demo_1'
Demo_2 = require 'demo_2'
Demo_3 = require 'demo_3'
Demo_4 = require 'demo_4'
Demo_5 = require 'demo_5'

function love.load()
  Stage = { w = love.window.getWidth(), h = love.window.getHeight() }
  DemoNum = 1
  Demo_1.load()
end

function love.update(dt)
  love.window.setTitle( love.timer.getFPS() )
  if _G['Demo_'..DemoNum].update then _G['Demo_'..DemoNum].update(dt) end
end

function love.draw()
  if _G['Demo_'..DemoNum].draw then _G['Demo_'..DemoNum].draw() end
  love.graphics.print( 'demo ' .. DemoNum, Stage.w-48, 0 )
  love.graphics.print( '(press tab to switch demo)', Stage.w-172, 32 )
end

function love.keypressed(key)
  if key == 'tab' then
    if DemoNum == 5 then
	  DemoNum = 1
	else
	  DemoNum = DemoNum + 1
	end
	if _G['Demo_'..DemoNum].load then _G['Demo_'..DemoNum].load() end
  end
  if _G['Demo_'..DemoNum].keypressed then _G['Demo_'..DemoNum].keypressed(key) end
end




